{ config, pkgs, ... }: {
  environment.systemPackages = with pkgs; [ nginx ];
  services.nginx.enable = true;
  services.nginx.virtualHosts."test.l.polsevev.dev" = {
    addSSL = true;
    enableACME = true;
    root = "/var/www/test";
  };

  security.acme = {
    acceptTerms = true;
    defaults.email = "rolf.martin@glomsrud.no";
    certs."polsevev.dev" = {
      domain = "*.polsevev.dev";
      dnsProvider = "cloudflare";
      environmentFile = /cloudflare.env;
      group = config.services.nginx.group;
    };
  };

}
